### Method

# Vips Image guess_format

#### Declaration [src]

    VipsBandFormat
    vips_image_guess_format (
      const VipsImage* image
    )

#### Description [src]

Return the `VipsBandFormat` for an image, guessing a sane value if the set value looks crazy.

For example, for a float image tagged as rgb16, we’d return ushort.

#### Return value

Type: `VipsBandFormat`

A sensible `VipsBandFormat` for the image.